%define lib_major 7
%define libname %mklibname gnomespeech %{lib_major}
%define libnamedev %mklibname -d gnomespeech
%define last_abi_break_version 0.3.2

%ifarch %arm %mips
%define build_java 0
%else
%define build_java 1
%endif

Summary: Simple general API for producing text-to-speech output
Name: gnome-speech
Version: 0.4.25
Release: %mkrel 8
License: LGPLv2+
Group: Accessibility
URL: http://developer.gnome.org/projects/gap/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: gnome-speech-0.4.25-glib.2.32.patch
BuildRequires: pkgconfig(ORBit-2.0) >= 2.3.94
BuildRequires: pkgconfig(bonobo-activation-2.0) >= 0.9.1
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(libbonobo-2.0) >= 1.97.0
BuildRequires: libespeak-devel
BuildRequires: gnome-common
BuildRequires: popt-devel
%if %{build_java}
BuildRequires: java-access-bridge
BuildRequires: java-devel java-rpmbuild
%endif
Obsoletes: gnome_speech
Provides: gnome_speech = %{version}-%{release}
Requires: %name-driver = %version

%description
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{libname}
Summary:	 Simple general API for producing text-to-speech output
Group:		System/Libraries

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}


%description -n %{libname}
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{libnamedev}
Summary:	Static libraries, include files for gnome_speech
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnomespeech-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:  lib%{name}-devel < %{last_abi_break_version}
Obsoletes: %mklibname -d gnomespeech 7

%description -n %{libnamedev}
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package driver-festival
Summary: Backend for gnome-speech based on festival
Group: System/Libraries
Provides: %name-driver = %version
Requires: festival

%description driver-festival
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

This is a backend for %name based on festival.

%package driver-espeak
Summary: Backend for gnome-speech based on espeak
Group: System/Libraries
Provides: %name-driver = %version
Requires: soundwrapper

%description driver-espeak
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

This is a backend for %name based on espeak.

%prep
%setup -q
%patch0 -p0

%build
%if %{build_java}
%configure2_5x --with-jab-dir=%_datadir/java --with-java-home=%java_home --disable-static
%else
%configure2_5x --disable-static
%endif

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

# replace espeak driver with wrapper which calls soundwrapper if needed
mv $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver.bin 

cat << EOF >  $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver 
#!/bin/sh
/usr/bin/soundwrapper /usr/bin/espeak-synthesis-driver.bin \$@
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver 

%if %{build_java}
#gw I think this dir is more appropiate
mv %buildroot%_datadir/jar %buildroot%_datadir/java
%endif

%files
%doc README ChangeLog AUTHORS
%{_bindir}/test-speech
%{_datadir}/idl/*
%{_libdir}/orbit-2.0/*.so
%if %{build_java}
%_datadir/java/gnome-speech.jar
%endif

%files driver-festival
%_bindir/festival-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server

%files driver-espeak
%_bindir/espeak-synthesis-driver*
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server

%files -n %{libname}
%{_libdir}/*.so.%{lib_major}*

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.4.25-8.mga3
+ Revision: 352206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 fwang <fwang> 0.4.25-7.mga2
+ Revision: 203215
- convert br into pkgconfig style

* Thu Dec 15 2011 fwang <fwang> 0.4.25-6.mga2
+ Revision: 181702
- fix build with glib 2.32
- drop .la files

* Fri May 06 2011 ahmad <ahmad> 0.4.25-5.mga1
+ Revision: 95546
- Bump the release to ease upgrades from Mandriva 2010.1

* Fri Feb 25 2011 ennael <ennael> 0.4.25-4.mga1
+ Revision: 59784
- clean spec file
- imported package gnome-speech

